GatewayDeltaEventApplicationCacheListener (Apache Geode 1.15.4)

org.apache.geode.modules.gatewaydelta

## Class GatewayDeltaEventApplicationCacheListener

- java.lang.Object
- - org.apache.geode.cache.util.CacheListenerAdapter<String,GatewayDeltaEvent>
  - - org.apache.geode.modules.gatewaydelta.GatewayDeltaEventApplicationCacheListener

- All Implemented Interfaces:
    CacheCallback, CacheListener<String,GatewayDeltaEvent>, Declarable

      public class GatewayDeltaEventApplicationCacheListener
      extends CacheListenerAdapter<String,GatewayDeltaEvent>
      implements Declarable

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCreate(EntryEvent<String,GatewayDeltaEvent> event)` Handles the event of new key being added to a region.

    - ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

      `afterDestroy, afterInvalidate, afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, afterUpdate, close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `init, initialize`

- - ### Method Detail

    - #### afterCreate

          public void afterCreate(EntryEvent<String,GatewayDeltaEvent> event)

      Description copied from interface: `CacheListener`
      Handles the event of new key being added to a region. The entry did not previously exist in this region in the local cache (even with a null value).
      Specified by:
        `afterCreate` in interface `CacheListener<String,GatewayDeltaEvent>`
      Overrides:
        `afterCreate` in class `CacheListenerAdapter<String,GatewayDeltaEvent>`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.create(Object, Object)`, `Region.put(Object, Object)`, `Region.get(Object)`